clc;
clear;
xdel(winsid());

exec("FrameParam.sce");
//exec("MDNonLin.Aerosonde.sce");
exec("MDLin.Aerosonde.sce");
exec("Geometry.sce");
exec("Animation.sce");
GeomFile="Geometry.sce";
DMResultFile="DMResult.dat";

g=9.81;      //m/s^2

tInit=0;
tFin=15*60; // segundos
step= 1; // segundos
t=tInit:step:tFin;

// valores iniciales
pn0=0; // Inertial north position of the MAV en F^i
pe0=0; // Inertial east position of the MAV en F^i
pd0=0; // Inertial down position (negative of altitude) of the MAV measured en F^i
u0=50; // Body frame velocity measured along i^b in F^b
v0=0; // Body frame velocity measured along j^b in F^b
w0=0; // Body frame velocity measured along k^b in F^b
phi0=0; // Roll angle defined with respect to F^v2
theta0=0; // Pitch angle defined with respect to F^v1
psi0=0; // Heading (yaw) angle defined with respect to F^v
p0=0; // Roll rate measured en i^b in F^b
q0=0; // Pitch rate measured along j^b in F^b
r0=0; // Yaw rate measured along k^b in F^b

y0=[pn0;pe0;pd0;u0;v0;w0;phi0;theta0;psi0;p0;q0;r0];

  // variables de control
  
  delta_a=0; // aileron
  delta_e=0//-0.1*%pi/180; // elevator
  delta_r=0; // rudder
  delta_t=0.9; // trust

delta=[delta_a;delta_e;delta_r;delta_t];
title1="Dynamic model result window 1/2";
title2="Dynamic model result window 2/2";
tic();
MDResult=DynamicModel(y0, tInit, t, delta);
printf("Tiempo de calculo: %f",toc());
//Graphics(t,MDResult,1,2,title1,title2);
PosAng=[MDResult(1:3,:);MDResult(7:9,:)]
DrawTrajectory(PosAng,3)
comments="t  pn  pe  pd  u  v  w  phi  theta  psi  p  q  r";
csvWrite([t', MDResult'], DMResultFile, ascii(9), ".", "%.7f", comments);
